.form-row {
  margin-bottom: 3rem;
  text-align: left;

  &:last-child {
    margin-bottom: 0;
  }
}

label,
.form-label {
  color: var(--blue);
  font-size: 1.2rem;
  font-weight: 500;
}

input,
.form-control {
  background-image: none !important;
  border: 0;

  &,
  &:focus {
    background-color: var(--field-grey-two);
    box-shadow: none;
    color: var(--black);
  }

  &:disabled,
  &[readonly] {
    background-color: transparent;
    padding: 0;
  }
}

input,
.form-control,
.select {
  border-radius: 1px;
  font-size: 1.6rem;

  &__control {
    padding: 0.5rem 1rem;
  }
}

input {
  &::-webkit-outer-spin-button,
  &::-webkit-inner-spin-button {
    appearance: none;
    margin: 0;
  }

  &[type="number"] {
    appearance: textfield;
  }
}

.select {
  > div {
    font-weight: 500;
    border: solid 1px var(--greenish-grey);
    background-color: var(--box-no-style-dark);
    color: var(--light);
    font-size: 20px;
    border-radius: 0;
  }

  &__single-value {
    color: var(--white) !important;
  }

  &__indicator-separator {
    visibility: hidden;
  }

  &__option {
    &--is-selected {
      background-color: var(--box-no-style-dark) !important;
      color: var(--grey) !important;
    }

    &--is-focused {
      background-color: var(--dark-slate-blue) !important;
      color: var(--light) !important;
    }
  }
}

fieldset {
  border: 1px solid var(--turq);
  line-height: 1.5rem;
  padding: 0;

  legend {
    color: var(--turq);
    display: inline-block;
    font-size: 1rem;
    margin: 0;
    padding: 0 1rem;
    width: fit-content;
  }

  label,
  .form-label {
    color: inherit;
    font-size: inherit;
    font-weight: inherit;
  }

  > {
    .form-control {
      height: fit-content;
      line-height: 0;
      padding: 0;
      text-align: right;

      &,
      &:focus {
        background-color: transparent;
      }
    }
  }
}
